1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

MediaWiki Bridge [Paid] [Deleted]

Discussion in 'Add-on Releases' started by Zelkova, Aug 25, 2015.

  1. Zelkova

    Zelkova Member

    Zelkova submitted a new resource:

    MediaWiki Bridge - Bridges Xenforo accounts and user groups with Mediawiki

    Read more about this resource...
     
    DroidOne and PyroM like this.
  2. PyroM

    PyroM Active Member

    Great, great, great, thank you! Hopefully it runs with xf 1.5.
     
  3. Zelkova

    Zelkova Member

    If anyone has a XF 1.5 and Mediawiki setup that wants to test I'll give them the addon for free.
     
  4. Zelkova

    Zelkova Member

    I just set up a VM to test out Xenforo 1.5 and MW. It works just fine.

    XF 1.5 + MW Bridge
     
    PyroM likes this.
  5. PyroM

    PyroM Active Member

    Great, thanks a lot. Bought it this evening and will have a deep look on it. Wonderful!
     
  6. PyroM

    PyroM Active Member

    Do the MediaWiki and XenForo have to be on the same domain?
     
  7. Zelkova

    Zelkova Member

    As far as I know, they only need to be on the same server. I feel like thats something I should have mentioned.

    Being able to use multiple servers is a feature I'd like to have in the future.

    If you need a refund please let me know. I'll edit my OP to make sure that this is covered.
     
    PyroM likes this.
  8. andybond

    andybond Active Member

    @Zelkova I assume if I purchase this it will overwrite , but not modify any setting I have already on the mediabridge ?
     
  9. Zelkova

    Zelkova Member

    Can you elaborate on what you mean by mediabridge?
     
  10. andybond

    andybond Active Member

    A typo by myself - I have the earlier version of this by xfrocks
    MediaWiki Bridge
     
  11. Zelkova

    Zelkova Member

    This version is a modification of the previous that allows it to run on newer versions of MW and XF. As far as I know it should overwrite your files. I have never used the previous version as I was not running old enough software to use it.

    I would suggest that you either keep the old plugin available either in a separate folder or just rename the files so that they are not overwritten.
     
    andybond likes this.
  12. PyroM

    PyroM Active Member

    No need for refunding. Additional I am willing to invest a little more, so that you can hire xfrocks asap. We should continue this via private conversation.
     
  13. JackieChun

    JackieChun Active Member

    @Zelkova If you're going to hire xfrocks again, please ask him to add User Group Permissions on the XenForo side. I only want certain user groups to be able to edit the wiki. That would be a very useful feature.
     
    Last edited: Sep 28, 2015
  14. Zelkova

    Zelkova Member

    I am accomplishing this via permissions on the MediaWiki side.

    Ex: $wgGroupPermissions['xf_ug11']['createpage'] = true;

    User Groups are ported over to MediaWiki with the bridge and look like this xf_ug#. The # being the usergroup number on the XenForo side.
     
    Last edited: Sep 28, 2015
  15. JackieChun

    JackieChun Active Member

    Where in MediaWiki can you access these settings?
     
  16. Zelkova

    Zelkova Member

    JackieChun likes this.
  17. Iversia

    Iversia Well-Known Member

    I'm having a bit of a problem when newly registered users are trying to view the wiki. It's tossing up the error:

    Edit: Using MediaWiki 1.25.2 and XenForo 1.5.1. Looks like people who had wiki accounts before are able to browse as normal, but all new users are getting a fatal error and their account is not being created.

    Edit2: Might be fixed after flushing all of MediaWiki's caches... still trying to replicate. :)
     
    Last edited: Oct 5, 2015
  18. dutchbb

    dutchbb Well-Known Member

    It's not working for me, I'm not logged in when I open the wiki?

    (Versions up to date but using forum and wiki on different sub-domains)

    Trying to login manually on the wiki, I see this error:
     
    Last edited: Dec 16, 2015
  19. Zelkova

    Zelkova Member

    I've updated the list of warnings for this plugin.

    Currently the plugin does not work with subdomains. (Ex: wiki.site.com), it only functions with a wiki folder. This is a planned feature for the future but for right now it just does not work. I'm still trying to find a freelance dev to work on the plugin because this is a highly sought after feature.
     
  20. dutchbb

    dutchbb Well-Known Member

    Ok. If you need a certain donation to have that fixed I might be able to help, in that case you can send a convo.
     

Share This Page